﻿@*HEADER ON TAB PART LIST FOR SEARCH DATA*@

@using System.Web.UI.WebControls;
 
<table width="100%" border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Date from<b style=\"color:red;\">*</b>";
                    label.EncodeHtml = false;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                dateEdit =>
                {
                    dateEdit.Name = "LRPLHFromDate";
                    dateEdit.Width = Unit.Pixel(110);
                    dateEdit.Properties.EditFormat = EditFormat.Custom;
                    dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                    dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                    dateEdit.Date = DateTime.Now.AddDays(-1);

                    dateEdit.Style.Add("display", "inline-table");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To<b style=\"color:red;\">*</b>";
                    label.EncodeHtml = false;

                    label.Style.Add("display", "inline-table");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                dateEdit =>
                {
                    dateEdit.Name = "LRPLHToDate";
                    dateEdit.Width = Unit.Pixel(110);
                    dateEdit.Properties.EditFormat = EditFormat.Custom;
                    dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                    dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                    dateEdit.Date = DateTime.Now;

                    dateEdit.Style.Add("display", "inline-table");
                }).GetHtml()
        </td>
        <td width="50px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Part No";
                }).GetHtml()
        </td>
        <td width="114px">
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "LRPLHPartNoText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td> 
         <td width="86px">
            @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "LRPLHSearchButton";
                        settings.Text = "Search";
                        settings.Width = Unit.Pixel(80);
                        settings.ClientSideEvents.Click = "OnLRPLHSearchButtonClick";
                    }).GetHtml()
        </td>
        <td width="86px">
            @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "LRPLHClearButton";
                        settings.Text = "Clear";
                        settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                        settings.ClientSideEvents.Click = "OnLRPLHClearButtonClick";
                    }).GetHtml()
        </td>
        <td colspan="1"></td>
    </tr>
    <tr>
        <td width="64px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Reason";
                }).GetHtml()
        </td>
        <td width="132px">
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "LRPLHReasonOption";

                    comboBox.Properties.Items.Add("");
                    comboBox.Properties.Items.Add("Damage");
                    comboBox.Properties.Items.Add("Missing Part");
                    comboBox.Properties.Items.Add("Shortage");
                    
                    comboBox.SelectedIndex = -1;                    
                    comboBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
        <td width="74px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Manifest No";
                }).GetHtml()
        </td>
        <td width="128px">
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "LRPLHManifestNoOption";
                    comboBox.Properties.TextField = "ManifestNo";
                    comboBox.Properties.ValueField = "ManifestNo";
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(110);
                    comboBox.CallbackRouteValues = new { Controller = "ProblemPart", Action = "GetAllManifestNo" };
                    comboBox.Properties.ClientSideEvents.BeginCallback = "OnBeginCallbackManifestNo";
                }).BindList(ViewData["ManifestNo"]).GetHtml()
        </td>
        <td width="84px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Registered By";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "LRPLHRegisteredByText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
        
        <td></td>
       
    </tr>
</table> 
